#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int brojFrilensera;
    cin>>brojFrilensera;

    vector <double> plata (brojFrilensera);

    vector <double> procenti (brojFrilensera);

    //unos
    for(int i=0; i<brojFrilensera; i++){
        cin>>plata[i];
        cin>>procenti[i];
    }

    //provera
    double najvecaZarada=0;

    for(int i=0; i<brojFrilensera; i++){
        double procenat=procenti[i];
        double zarada=0;
        for(int j=0; j<brojFrilensera; j++){
            if(procenat<=procenti[j]){
                zarada=(double)zarada+(double)((plata[j]*procenat)/100);
            }
        }
        if(zarada>najvecaZarada){
            najvecaZarada=zarada;
        }
    }

    cout<<najvecaZarada;


}